Subject: [alpine-devel] [PATCH 1/3] testing/perl-dbi: new aport

From: Jeff Bilyk <[email-masked]>
Date: Sun, 31 Oct 2010 15:38:13 +0000

new aport
---
 testing/perl-dbi/APKBUILD |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-dbi/APKBUILD

diff --git a/testing/perl-dbi/APKBUILD b/testing/perl-dbi/APKBUILD
new file mode 100644
index 0000000..4f141e3
--- /dev/null
+++ b/testing/perl-dbi/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Jeff Bilyk <jbilyk at gmail> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=perl-dbi
+_realpkgname=DBI
+pkgver=1.612
+pkgrel=0
+pkgdesc="Database independent interface for Perl"
+url="http://search.cpan.org/dist/${_realpkgname}"
+license="GPL PerlArtistic"
+depends=
+makedepends="perl perl-dev"
+source="http://www.cpan.org/authors/id/T/TI/TIMB/${_realpkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/${_realpkgname}-$pkgver
+
+prepare() {
+	return 0
+}
+
+build() {
+	cd "$_builddir"
+	perl Makefile.PL INSTALLDIRS=vendor
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="a045d41b8056e549354ab2346fdfac86  DBI-1.612.tar.gz"
-- 
1.7.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeff Bilyk <[email-masked]>
Date: Sun, 31 Oct 2010 15:38:14 +0000

testing/perl-dbi: add doc subpkg
---
 testing/perl-dbi/APKBUILD |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/testing/perl-dbi/APKBUILD b/testing/perl-dbi/APKBUILD
index 4f141e3..846a56f 100644
--- a/testing/perl-dbi/APKBUILD
+++ b/testing/perl-dbi/APKBUILD
@@ -9,6 +9,7 @@ url="http://search.cpan.org/dist/${_realpkgname}"
 license="GPL PerlArtistic"
 depends=
 makedepends="perl perl-dev"
+subpkgname="$pkgname-doc"
 source="http://www.cpan.org/authors/id/T/TI/TIMB/${_realpkgname}-$pkgver.tar.gz"
 
 _builddir="$srcdir"/${_realpkgname}-$pkgver
-- 
1.7.3.2

---

---

From: Jeff Bilyk <[email-masked]>
Date: Sun, 31 Oct 2010 15:38:15 +0000

testing/perl-dbd-mysql: new aport
---
 testing/perl-dbd-mysql/APKBUILD |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-dbd-mysql/APKBUILD

diff --git a/testing/perl-dbd-mysql/APKBUILD b/testing/perl-dbd-mysql/APKBUILD
new file mode 100644
index 0000000..0c93d57
--- /dev/null
+++ b/testing/perl-dbd-mysql/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Jeff Bilyk <jbilyk at gmail> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=perl-dbd-mysql
+_realpkgname=DBD-mysql
+pkgver=4.014
+pkgrel=0
+pkgdesc="Perl CPAN DBD::Mysql module"
+url="http://search.cpan.org/dist/${_realpkgname}"
+license="GPL PerlArtistic"
+depends="libmysqlclient perl-dbi"
+makedepends="perl perl-dev mysql-dev"
+source="http://www.cpan.org/authors/id/C/CA/CAPTTOFU/${_realpkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/${_realpkgname}-$pkgver
+
+prepare() {
+	return 0
+}
+
+build() {
+	cd "$_builddir"
+	perl Makefile.PL INSTALLDIRS=vendor
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="74f118a4984e6a49f8ece28e68caf543  DBD-mysql-4.014.tar.gz"
-- 
1.7.3.2

---